## Python Script "getUserFirendlySelectionItem"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=item, vocab
##title=Get user friendly text for selection item
##

# Copyright 2006 Mikko Ohtamaa <miohtama@mail.student.oulu.fi>
#
# @param item Selection item value to be translated
# @param vocab DisplayList used for getting human friendly name

if item == None or item == '':
    #
    # New row method doens't yet support putting valid 
    # entry in to the selection box when new row is added . 
    # Instead, blank is used.
    # This would cause KeyError in vocab.getMsgId
    return ""

return context.translate(vocab.getMsgId(item), default=vocab.getValue(item))