import sys

from AccessControl import allow_module, allow_class

from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.CMFCore.utils import getToolByName, ContentInit
from Products.CMFCore.DirectoryView import registerDirectory
from Products.Archetypes.public import *
from Products.Archetypes import listTypes

from Products.DataGridField.DataGridWidget  import DataGridWidget
from Products.DataGridField.DataGridField  import DataGridField
from Products.DataGridField.Column import Column
from Products.DataGridField.SelectColumn import SelectColumn
from Products.DataGridField.StepIterator import StepIterator
from config import INSTALL_DEMO_TYPES, PKG_NAME, SKIN_NAME, GLOBALS, DEBUG

this_module = sys.modules[ __name__ ]

def initialize(context):
    # register directory views
    registerDirectory('skins', GLOBALS)
    
    # Make StepIterator available to TAL scripts
    allow_module("Products.DataGridField.StepIterator")
    allow_class(StepIterator)
            
    if INSTALL_DEMO_TYPES:
        import examples

        # content initialization
        content_types, constructors, ftis = process_types(listTypes(PKG_NAME), PKG_NAME,)

        ContentInit(
            '%s Content' % PKG_NAME,
            content_types = content_types,
            permission = AddPortalContent,
            extra_constructors = constructors,
            fti = ftis,
            ).initialize(context)

